Skip to main content
PATCH
Update a page

Authorizations

Authorization
string
header
required

Enter your API key (starts with lindo_sk_)

Path Parameters

website_id
string
required

Unique identifier of the website

Example:

"ws_abc123"

page_id
string
required

Unique identifier of the page

Example:

"page_abc123"

Body

application/json
name
string | null

Name of the page

Example:

"Home Page"

path
string | null

URL path of the page

Example:

"/home"

seo
object | null

SEO metadata for the page

Example:
settings
object | null

Page settings configuration

Example:
data
object | null

Page data and content

Example:
language
string | null

Language code (e.g., 'en', 'es', 'fr'). Converted to display format for storage.

Example:

"en"

Response

Page updated successfully

success
enum<boolean>
required

Indicates the operation was successful

Available options:
true
Example:

true

result
object
required